﻿© Fluke Calibration, All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /9500/600
DATE:                  2010-10-25 10:40:51
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       433
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        VY, DFM
#
#  Model(s) Covered:
#        Wavejet 300 Series
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub LeCroy WJ300 Select Channel IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         CH[V Ch] BANDWIDTH
  1.002  HEAD         -2 10 mV/div
  1.003  IEEE         *CLS;*RST
  1.004  WAIT         -t 3 UUT Resetting...
  1.005  CALL         Sub LeCroy WJ300 Select Channel IEEE
  1.006  MATH         Ch = @Chan

  1.007  IF           Ch == 1
  1.008  RSLT         =
  1.009  RSLT         =BANDWIDTH
  1.010  ENDIF

  1.011  RSLT         =
  1.012  RSLT         =Channel [V Ch]
  1.013  TARGET       -p
  1.014  TSET         TDESC = 10 mV/div
# 50 Ohm input is only available for WJ35x and WJ33x.
  1.015  MATH         Input50_Ohm = @Bandwidth >= 350E+6

  1.016  IF           Input50_Ohm
  1.017  IEEE         C[V Ch]:CPL DC50
  1.018  ELSE
  1.019  IEEE         C[V Ch]:CPL DC1M
  1.020  ENDIF

  1.021  IEEE         C[V Ch]:VDIV 10E-3
  1.022  IEEE         C[V Ch]:OFST 0
  1.023  IEEE         TTYP EDGE;TSRC CH[V Ch];TRMD AUTO
  1.024  IEEE         TDIV 50E-9
  1.025  IEEE         EQU ON;MLEN 10K
  1.026  IEEE         DIRM A;MSEL CH[V Ch],P-P;MDSP ON

# Set the output of the calibrator is 6 vertical divisions at the selected
# vertical scale with a set frequency of 10 MHz.
  1.027  MATH         MEM = 60; MEM1 = MEM

  1.028  DO
  1.029  MATH         MEM = MEM1 + (60 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  1.030  IF           MEM > 5560 || MEM < 4.44
  1.031  MATH         MEM = 60
  1.032  ENDIF

  1.033  IF           Input50_Ohm
  1.034  9500         mVpp                         10MH           LS    S  L
  1.035  ELSE
  1.036  9500         mVpp                         10MH           LS    S
  1.037  ENDIF

  1.038  WAIT         -t 2 System Settling...
  1.039  IEEE         MSRA?[I]
  1.040  MATH         MEM = MEM / 1E-3
  1.041  UNTIL        MEM > 59.5 && MEM < 60.5

  1.042  MATH         Vinpp = MEM

  1.043  IEEE         TDIV 5E-9
# Last calibrator amplitude setting is in MEM1.
  1.044  MATH         MEM = MEM1

  1.045  IF           @Bandwidth == 100E+6
  1.046  MATH         Fmax = "100.1 MHz"

  1.047  IF           Input50_Ohm
  1.048  9500         mVpp                         100.1MH        LS    S  L
  1.049  MATH         Mode = "Vpp LS G1 L"
  1.050  ELSE
  1.051  9500         mVpp                         100.1MH        LS    S
  1.052  MATH         Mode = "Vpp LS G1"
  1.053  ENDIF

  1.054  ELSEIF       @Bandwidth == 200E+6
  1.055  MATH         Fmax = "200.1 MHz"

  1.056  IF           Input50_Ohm
  1.057  9500         mVpp                         200.1MH        LS    S  L
  1.058  MATH         Mode = "Vpp LS G1 L"
  1.059  ELSE
  1.060  9500         mVpp                         200.1MH        LS    S
  1.061  MATH         Mode = "Vpp LS G1"
  1.062  ENDIF

  1.063  ELSEIF       @Bandwidth == 350E+6
  1.064  MATH         Fmax = "350.1 MHz"

  1.065  IF           Input50_Ohm
  1.066  9500         mVpp                         350.1MH        LS    S  L
  1.067  MATH         Mode = "Vpp LS G1 L"
  1.068  ELSE
  1.069  9500         mVpp                         350.1MH        LS    S
  1.070  MATH         Mode = "Vpp LS G1"
  1.071  ENDIF

  1.072  ELSEIF       @Bandwidth == 500E+6
  1.073  MATH         Fmax = "500.1 MHz"

  1.074  IF           Input50_Ohm
  1.075  9500         mVpp                         500.1MH        LS    S  L
  1.076  MATH         Mode = "Vpp LS G1 L"
  1.077  ELSE
  1.078  9500         mVpp                         500.1MH        LS    S
  1.079  MATH         Mode = "Vpp LS G1"
  1.080  ENDIF

  1.081  ENDIF

  1.082  WAIT         -t 2 System Settling...
  1.083  TARGET       -m
  1.084  IEEE         MSRA?[I]
  1.085  MATH         Vbwpp = MEM / 1E-3
  1.086  MATH         Gain = Vbwpp / Vinpp
  1.087  MATH         FlatVpp = ACCV2("Datron 9500", Mode, MEM, @Bandwidth)
  1.088  MATH         FlatPct = (FlatVpp / MEM) * 100
  1.089  MATH         L[1] = PCTTODBV_D(FlatPct)
  1.090  ACC          0.0dB          L1U                                   +DV
  1.091  MATH         MEM = 20 * LOG(Gain)
  1.092  MEMCX        0.0dB          3.0U

  2.001  HEAD         -2 50 mV/div
  2.002  TARGET       -p
  2.003  TSET         TDESC = 50 mV/div
  2.004  IEEE         C[V Ch]:VDIV 50E-3
  2.005  IEEE         TDIV 50E-9

# Set the output of the calibrator is 6 vertical divisions at the selected
# vertical scale with a set frequency of 10 MHz.
  2.006  MATH         MEM = 300; MEM1 = MEM

  2.007  DO
  2.008  MATH         MEM = MEM1 + (300 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  2.009  IF           MEM > 5560 || MEM < 4.44
  2.010  MATH         MEM = 300
  2.011  ENDIF

  2.012  IF           Input50_Ohm
  2.013  9500         mVpp                         10MH           LS    S  L
  2.014  ELSE
  2.015  9500         mVpp                         10MH           LS    S
  2.016  ENDIF

  2.017  WAIT         -t 2 System Settling...
  2.018  IEEE         MSRA?[I]
  2.019  MATH         MEM = MEM / 1E-3
  2.020  UNTIL        MEM > 299.5 && MEM < 300.5

  2.021  MATH         Vinpp = MEM

  2.022  IEEE         TDIV 5E-9
# Last calibrator amplitude setting is in MEM1.
  2.023  MATH         MEM = MEM1

  2.024  IF           @Bandwidth == 100E+6
  2.025  MATH         Fmax = "100.1 MHz"

  2.026  IF           Input50_Ohm
  2.027  9500         mVpp                         100.1MH        LS    S  L
  2.028  ELSE
  2.029  9500         mVpp                         100.1MH        LS    S
  2.030  ENDIF

  2.031  ELSEIF       @Bandwidth == 200E+6
  2.032  MATH         Fmax = "200.1 MHz"

  2.033  IF           Input50_Ohm
  2.034  9500         mVpp                         200.1MH        LS    S  L
  2.035  ELSE
  2.036  9500         mVpp                         200.1MH        LS    S
  2.037  ENDIF

  2.038  ELSEIF       @Bandwidth == 350E+6
  2.039  MATH         Fmax = "350.1 MHz"

  2.040  IF           Input50_Ohm
  2.041  9500         mVpp                         350.1MH        LS    S  L
  2.042  ELSE
  2.043  9500         mVpp                         350.1MH        LS    S
  2.044  ENDIF

  2.045  ELSEIF       @Bandwidth == 500E+6
  2.046  MATH         Fmax = "500.1 MHz"

  2.047  IF           Input50_Ohm
  2.048  9500         mVpp                         500.1MH        LS    S  L
  2.049  ELSE
  2.050  9500         mVpp                         500.1MH        LS    S
  2.051  ENDIF

  2.052  ENDIF

  2.053  WAIT         -t 2 System Settling...
  2.054  IEEE         MSRA?[I]
  2.055  MATH         Vbwpp = MEM / 1E-3
  2.056  MATH         Gain = Vbwpp / Vinpp
  2.057  MATH         FlatVpp = ACCV2("Datron 9500", Mode, MEM, @Bandwidth)
  2.058  MATH         FlatPct = (FlatVpp / MEM) * 100
  2.059  MATH         L[1] = PCTTODBV_D(FlatPct)
  2.060  ACC          0.0dB          L1U                                   +DV
  2.061  MATH         MEM = 20 * LOG(Gain)
  2.062  MEMCX        0.0dB          3.0U

  3.001  HEAD         -2 100 mV/div
  3.002  TARGET       -p
  3.003  TSET         TDESC = 100 mV/div
  3.004  IEEE         C[V Ch]:VDIV 100E-3
  3.005  IEEE         TDIV 50E-9

# Set the output of the calibrator is 6 vertical divisions at the selected
# vertical scale with a set frequency of 10 MHz.
  3.006  MATH         MEM = 600; MEM1 = MEM

  3.007  DO
  3.008  MATH         MEM = MEM1 + (600 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  3.009  IF           MEM > 5560 || MEM < 4.44
  3.010  MATH         MEM = 600
  3.011  ENDIF

  3.012  IF           Input50_Ohm
  3.013  9500         mVpp                         10MH           LS    S  L
  3.014  ELSE
  3.015  9500         mVpp                         10MH           LS    S
  3.016  ENDIF

  3.017  WAIT         -t 2 System Settling...
  3.018  IEEE         MSRA?[I]
  3.019  MATH         MEM = MEM / 1E-3
  3.020  UNTIL        MEM > 599 && MEM < 601

  3.021  MATH         Vinpp = MEM

  3.022  IEEE         TDIV 5E-9
# Last calibrator amplitude setting is in MEM1.
  3.023  MATH         MEM = MEM1

  3.024  IF           @Bandwidth == 100E+6
  3.025  MATH         Fmax = "100.1 MHz"

  3.026  IF           Input50_Ohm
  3.027  9500         mVpp                         100.1MH        LS    S  L
  3.028  ELSE
  3.029  9500         mVpp                         100.1MH        LS    S
  3.030  ENDIF

  3.031  ELSEIF       @Bandwidth == 200E+6
  3.032  MATH         Fmax = "200.1 MHz"

  3.033  IF           Input50_Ohm
  3.034  9500         mVpp                         200.1MH        LS    S  L
  3.035  ELSE
  3.036  9500         mVpp                         200.1MH        LS    S
  3.037  ENDIF

  3.038  ELSEIF       @Bandwidth == 350E+6
  3.039  MATH         Fmax = "350.1 MHz"

  3.040  IF           Input50_Ohm
  3.041  9500         mVpp                         350.1MH        LS    S  L
  3.042  ELSE
  3.043  9500         mVpp                         350.1MH        LS    S
  3.044  ENDIF

  3.045  ELSEIF       @Bandwidth == 500E+6
  3.046  MATH         Fmax = "500.1 MHz"

  3.047  IF           Input50_Ohm
  3.048  9500         mVpp                         500.1MH        LS    S  L
  3.049  ELSE
  3.050  9500         mVpp                         500.1MH        LS    S
  3.051  ENDIF

  3.052  ENDIF

  3.053  WAIT         -t 2 System Settling...
  3.054  IEEE         MSRA?[I]
  3.055  MATH         Vbwpp = MEM / 1E-3
  3.056  MATH         Gain = Vbwpp / Vinpp
  3.057  MATH         FlatVpp = ACCV2("Datron 9500", Mode, MEM, @Bandwidth)
  3.058  MATH         FlatPct = (FlatVpp / MEM) * 100
  3.059  MATH         L[1] = PCTTODBV_D(FlatPct)
  3.060  ACC          0.0dB          L1U                                   +DV
  3.061  MATH         MEM = 20 * LOG(Gain)
  3.062  MEMCX        0.0dB          3.0U

  4.001  HEAD         -2 500 mV/div
  4.002  TARGET       -p
  4.003  TSET         TDESC = 500 mV/div
  4.004  IEEE         C[V Ch]:VDIV 500E-3
  4.005  IEEE         TDIV 50E-9

# Set the output of the calibrator is 6 vertical divisions at the selected
# vertical scale with a set frequency of 10 MHz.
  4.006  MATH         MEM = 3000; MEM1 = MEM

  4.007  DO
  4.008  MATH         MEM = MEM1 + (3000 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  4.009  IF           MEM > 5560 || MEM < 4.44
  4.010  MATH         MEM = 3000
  4.011  ENDIF

  4.012  IF           Input50_Ohm
  4.013  9500         mVpp                         10MH           LS    S  L
  4.014  ELSE
  4.015  9500         mVpp                         10MH           LS    S
  4.016  ENDIF

  4.017  WAIT         -t 2 System Settling...
  4.018  IEEE         MSRA?[I]
  4.019  MATH         MEM = MEM / 1E-3
  4.020  UNTIL        MEM > 2995 && MEM < 3005

  4.021  MATH         Vinpp = MEM

  4.022  IEEE         TDIV 5E-9
# Last calibrator amplitude setting is in MEM1.
  4.023  MATH         MEM = MEM1

  4.024  IF           @Bandwidth == 100E+6
  4.025  MATH         Fmax = "100.1 MHz"

  4.026  IF           Input50_Ohm
  4.027  9500         mVpp                         100.1MH        LS    S  L
  4.028  ELSE
  4.029  9500         mVpp                         100.1MH        LS    S
  4.030  ENDIF

  4.031  ELSEIF       @Bandwidth == 200E+6
  4.032  MATH         Fmax = "200.1 MHz"

  4.033  IF           Input50_Ohm
  4.034  9500         mVpp                         200.1MH        LS    S  L
  4.035  ELSE
  4.036  9500         mVpp                         200.1MH        LS    S
  4.037  ENDIF

  4.038  ELSEIF       @Bandwidth == 350E+6
  4.039  MATH         Fmax = "350.1 MHz"

  4.040  IF           Input50_Ohm
  4.041  9500         mVpp                         350.1MH        LS    S  L
  4.042  ELSE
  4.043  9500         mVpp                         350.1MH        LS    S
  4.044  ENDIF

  4.045  ELSEIF       @Bandwidth == 500E+6
  4.046  MATH         Fmax = "500.1 MHz"

  4.047  IF           Input50_Ohm
  4.048  9500         mVpp                         500.1MH        LS    S  L
  4.049  ELSE
  4.050  9500         mVpp                         500.1MH        LS    S
  4.051  ENDIF

  4.052  ENDIF

  4.053  WAIT         -t 2 System Settling...
  4.054  IEEE         MSRA?[I]
  4.055  MATH         Vbwpp = MEM / 1E-3
  4.056  MATH         Gain = Vbwpp / Vinpp
  4.057  MATH         FlatVpp = ACCV2("Datron 9500", Mode, MEM, @Bandwidth)
  4.058  MATH         FlatPct = (FlatVpp / MEM) * 100
  4.059  MATH         L[1] = PCTTODBV_D(FlatPct)
  4.060  ACC          0.0dB          L1U                                   +DV
  4.061  MATH         MEM = 20 * LOG(Gain)
  4.062  MEMCX        0.0dB          3.0U

  5.001  HEAD         -2
  5.002  HEAD
  5.003  9500         *                                                 S
  5.004  END
